#ifndef TESTQGLCRASH_H
#define TESTQGLCRASH_H

#include <QtGui/QtGui>
#include <QtOpenGL/QGLWidget>


class glWindow : public QGLWidget
{
    Q_OBJECT

public:
    glWindow(QWidget *parent = 0, QGLWidget *sharedWidget = 0);
    ~glWindow();

protected:
    virtual void paintEvent(QPaintEvent *e);

    virtual QSize sizeHint() const { return QSize(200, 100); }
};


class testQGLCrash : public QWidget
{
    Q_OBJECT

public:
    testQGLCrash(QWidget *parent = 0);
    ~testQGLCrash();

public slots:
    void buttonPressed();

private:
    QGLWidget *m_dummyGLWidget;
    QPushButton *m_button;
    glWindow *m_glWnd;
};

#endif // TESTQGLCRASH_H
